<template>
  <v-container fluid>
    <v-row>
      <v-col class="fixed-bar">
        <div class="text-center">
          <img src="/logo2.png" alt="Logo" width="250" />
        </div>
        <v-text-field
          label=""
          variant="outlined"
          v-model="sBusqueda"
          :loading="isLoading"
          placeholder="Busca aquí tu restaurante"
          type="search"
          hint="Escribe el nombre lo demás lo haremos nosotros :)"
          clearable
          density="compact"
        />
      </v-col>
    </v-row>
    <v-skeleton-loader
      v-if="isLoading"
      boilerplate
      class="mx-auto"
      elevation="2"
      type="card-avatar, article, actions"
    />
    <v-row :key="nKey">
      <v-col
        v-for="(item, index) in aRestaurantes"
        :key="index"
        :cols="$vuetify.breakpoint.xs ? 12 : 3"
      >
        <Restaurant
          :image="item.urlLogo"
          :restaurant="item.restaurant"
          :descripcion="item.description"
          :address="item.address"
          :instagram="item.instagram"
          :phone="item.phone"
          :typeFood="item.typeFood"
          :rating="item.rating"
          :id="item._id"
        />
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import axios from "axios";
import Restaurant from "@/components/restaurant/Restaurant.vue";

export default {
  name: "Home",
  components: {
    Restaurant,
  },
  data() {
    return {
      nKey: 0,
      isLoading: false,
      aRestaurantes: [],
      sBusqueda: ''
    };
  },
  mounted() {
    this.onGetItems();
  },
  methods: {
    async onGetItems() {
      try {
        const { data } = await axios.get("/restaurants");
        this.aRestaurantes = data;
        this.nKey++;
        console.log(data);
      } catch (error) {
        console.log(error);
      }
    },
  },
};
</script>
